{
  "name": "newsreader",
  "version": "0.4.4",
  "description": "Application for viewing RSS feeds",
  "main": "index.js",
  "scripts": {
    "lint": "npx prettier \"src/newsreader/js/**/*.js\" --check",
    "format": "npx prettier \"src/newsreader/js/**/*.js\" --write",
    "build": "npx webpack --config webpack.dev.babel.js",
    "build:watch": "npx webpack --config webpack.dev.babel.js --watch",
    "build:prod": "npx webpack --config webpack.prod.babel.js",
    "test": "npx jest",
    "test:watch": "npm test -- --watch"
  },
  "repository": {
    "type": "git",
    "url": "[git@git.fudiggity.nl:5000]:sonny/newsreader.git"
  },
  "author": "Sonny",
  "license": "GPL-3.0-or-later",
  "dependencies": {
    "@fortawesome/fontawesome-free": "^5.15.2",
    "js-cookie": "^2.2.1",
    "lodash": "^4.17.20",
    "object-assign": "^4.1.1",
    "react-redux": "^7.2.2",
    "redux": "^4.0.5",
    "redux-logger": "^3.0.6",
    "redux-thunk": "^2.3.0"
  },
  "devDependencies": {
    "@babel/core": "^7.12.13",
    "@babel/plugin-proposal-class-properties": "^7.12.13",
    "@babel/plugin-proposal-function-bind": "^7.12.13",
    "@babel/plugin-syntax-dynamic-import": "^7.8.3",
    "@babel/plugin-syntax-function-bind": "^7.12.13",
    "@babel/plugin-transform-react-jsx": "^7.12.13",
    "@babel/plugin-transform-runtime": "^7.12.15",
    "@babel/preset-env": "^7.12.13",
    "@babel/register": "^7.12.13",
    "@babel/runtime": "^7.12.13",
    "babel-jest": "^24.9.0",
    "babel-loader": "^8.2.2",
    "clean-webpack-plugin": "^3.0.0",
    "css-loader": "^3.6.0",
    "fetch-mock": "^8.3.2",
    "file-loader": "^6.2.0",
    "jest": "^24.9.0",
    "mini-css-extract-plugin": "^0.9.0",
    "node-fetch": "^2.6.1",
    "prettier": "^1.19.1",
    "react": "^16.14.0",
    "react-dom": "^16.14.0",
    "redux-mock-store": "^1.5.4",
    "sass": "^1.52.1",
    "sass-loader": "^8.0.2",
    "style-loader": "^1.3.0",
    "url-loader": "^4.1.1",
    "webpack": "^4.46.0",
    "webpack-cli": "^3.3.12",
    "webpack-merge": "^4.2.2"
  }
}
